#pragma once

#include <ros/ros.h>
#include "sensor_msgs/LaserScan.h"

namespace husky_controller
{

/*!
 * Class containing the Husky Controller
 */
class MyController
 {
public:
    /*!
     * Constructor.
     */
    MyController(ros::NodeHandle &nodeHandle);

private:
    ros::NodeHandle* m_nodeHandle;
    ros::Subscriber m_laserScanSubscriber;
    ros::Publisher m_commandVelocityPublisher;
    ros::Publisher m_markerPillarPublisher;

    double m_pGainAngle;

    void laserCallBack(const sensor_msgs::LaserScan::ConstPtr &msg);
};

} /* namespace */
